> For the complete documentation index, see [llms.txt](https://docs.specsolutions.eu/specsync/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.specsolutions.eu/specsync/reference/command-line-reference/init-command.md).

# init

Initializes SpecSync configuration by creating a `specsync.json` configuration file based on the settings provided for the interactive questions asked by the command.

During the execution of the command, the basic configuration settings (project URL and authorization settings) can be specified. The init command verifies the connection to the Azure DevOps project specified to avoid common authentication issues.

In case of [Personal Access Token (PAT) authentication](/specsync/features/general-features/server-authentication-options.md), the command also offers you to save the authentication details to the user-specific configuration file, so that the credentials are not included in the project configuration.

See [Configuration wizards](/specsync/features/general-features/configuration-wizards.md) for more information about the command.

## Options

| Option                               | Description                                                                                                                                                  | Default                               |
| ------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------- |
| `-p`\|`--projectUrl` \<PROJECT‑URL>  | The project URL of the Azure DevOps project.                                                                                                                 | interactive prompt                    |
| `-c`\|`--config` \<CONFIG‑FILE‑PATH> | The full path or the folder of the configuration file being created.                                                                                         | `specsync.json` in the current folder |
| `-v`, `--verbose`                    | If specified, error messages and trace information will be displayed more in detail. Overrides `toolSettings/outputLevel` setting of the configuration file. | false                                 |

## Examples

Initialize configuration by specifying all settings interactively:

```
dotnet specsync init
```

Initialize configuration for a specific project:

```
dotnet specsync init -p https://specsyncdemo.visualstudio.com/MyCalculator
```

{% content-ref url="/pages/-LVwFCLgktB9AOsohdYl" %}
[Command line reference](/specsync/reference/command-line-reference.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/command-line-reference/init-command.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
